JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
SystemClipboard Class Reference
juce_gui_basics » keyboard

Handles reading/writing to the system's clipboard. More...

`#include <juce_SystemClipboard.h>`

## Static Public Member Functions
static void | copyTextToClipboard (const String &text)
| Copies a string of text onto the clipboard.
static String | getTextFromClipboard ()
| Gets the current clipboard's contents.

## Detailed Description

Handles reading/writing to the system's clipboard.

## Member Function Documentation

## ◆ copyTextToClipboard()

static void SystemClipboard::copyTextToClipboard | ( | const String & | text | ) |
| static

Copies a string of text onto the clipboard.

## ◆ getTextFromClipboard()

static String SystemClipboard::getTextFromClipboard | ( |  | ) |
| static

Gets the current clipboard's contents.

Obviously this might have come from another app, so could contain anything..

The documentation for this class was generated from the following file:

- juce_SystemClipboard.h